<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_jet&lt; T &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__jet.html">op_jet</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__jet-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_jet&lt; T &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::op_jet&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1op__jet.png" usemap="#dlib::op_5Fjet_3C_20T_20_3E_map" alt=""/>
  <map id="dlib::op_5Fjet_3C_20T_20_3E_map" name="dlib::op_5Fjet_3C_20T_20_3E_map">
<area href="structdlib_1_1does__not__alias.html" alt="dlib::does_not_alias" shape="rect" coords="0,0,122,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ab8b33e5a79f0cd86e551cf3bf2f97836"><td class="memItemLeft" align="right" valign="top"><a id="ab8b33e5a79f0cd86e551cf3bf2f97836"></a>
typedef <a class="el" href="structdlib_1_1rgb__pixel.html">rgb_pixel</a>&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:ab8b33e5a79f0cd86e551cf3bf2f97836"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4837e44f001cde57a7fbb16f4b23692"><td class="memItemLeft" align="right" valign="top"><a id="ae4837e44f001cde57a7fbb16f4b23692"></a>
typedef const <a class="el" href="structdlib_1_1rgb__pixel.html">rgb_pixel</a>&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:ae4837e44f001cde57a7fbb16f4b23692"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4ed13a0c1b5b3bda7fc00fca60eb626"><td class="memItemLeft" align="right" valign="top"><a id="ad4ed13a0c1b5b3bda7fc00fca60eb626"></a>
typedef <a class="el" href="namespacedlib.html#ae8aaef18fce6452263f46535116308ca">default_memory_manager</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:ad4ed13a0c1b5b3bda7fc00fca60eb626"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac551f41ff4abf4fb5f08016d53919cb3"><td class="memItemLeft" align="right" valign="top"><a id="ac551f41ff4abf4fb5f08016d53919cb3"></a>
typedef <a class="el" href="structdlib_1_1row__major__layout.html">row_major_layout</a>&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:ac551f41ff4abf4fb5f08016d53919cb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adab31d2efe8e3ec8e8fb00b506d21b8f"><td class="memItemLeft" align="right" valign="top"><a id="adab31d2efe8e3ec8e8fb00b506d21b8f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_jet</b> (const T &amp;img_, const double max_val_, const double min_val_)</td></tr>
<tr class="separator:adab31d2efe8e3ec8e8fb00b506d21b8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa56b52bcd7bcdd57b8a6f1ea0b6fd6aa"><td class="memItemLeft" align="right" valign="top"><a id="aa56b52bcd7bcdd57b8a6f1ea0b6fd6aa"></a>
<a class="el" href="structdlib_1_1rgb__pixel.html">const_ret_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:aa56b52bcd7bcdd57b8a6f1ea0b6fd6aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dc990766984674509c816b6fbbc92f1"><td class="memItemLeft" align="right" valign="top"><a id="a1dc990766984674509c816b6fbbc92f1"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a1dc990766984674509c816b6fbbc92f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a192dd18a8cdfc6eb89cddd5b2a7a9846"><td class="memItemLeft" align="right" valign="top"><a id="a192dd18a8cdfc6eb89cddd5b2a7a9846"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a192dd18a8cdfc6eb89cddd5b2a7a9846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structdlib_1_1does__not__alias"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structdlib_1_1does__not__alias')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structdlib_1_1does__not__alias.html">dlib::does_not_alias</a></td></tr>
<tr class="memitem:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplParams" colspan="2">template&lt;typename U &gt; </td></tr>
<tr class="memitem:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structdlib_1_1does__not__alias.html#aceed084a5442b7259165b87b4bc45f10">aliases</a> (const U &amp;) const</td></tr>
<tr class="separator:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplParams" colspan="2"><a id="aaf83f81e0880ddf9c5d97b76d5b2a17e"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const U &amp;) const</td></tr>
<tr class="separator:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a6c38ed2fa9ffe8962c4d3ae7203d2846"><td class="memItemLeft" align="right" valign="top"><a id="a6c38ed2fa9ffe8962c4d3ae7203d2846"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>img</b></td></tr>
<tr class="separator:a6c38ed2fa9ffe8962c4d3ae7203d2846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24f4f18cf8870f747c1a9c7ba3eddf9d"><td class="memItemLeft" align="right" valign="top"><a id="a24f4f18cf8870f747c1a9c7ba3eddf9d"></a>
const double&#160;</td><td class="memItemRight" valign="bottom"><b>max_val</b></td></tr>
<tr class="separator:a24f4f18cf8870f747c1a9c7ba3eddf9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef05a57ecc073524591bb88a7e040c24"><td class="memItemLeft" align="right" valign="top"><a id="aef05a57ecc073524591bb88a7e040c24"></a>
const double&#160;</td><td class="memItemRight" valign="bottom"><b>min_val</b></td></tr>
<tr class="separator:aef05a57ecc073524591bb88a7e040c24"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a0df6c479d1672bee961409d52236ddd8"><td class="memItemLeft" align="right" valign="top"><a id="a0df6c479d1672bee961409d52236ddd8"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = 7</td></tr>
<tr class="separator:a0df6c479d1672bee961409d52236ddd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af488cd3bfe3255931235a19226a03114"><td class="memItemLeft" align="right" valign="top"><a id="af488cd3bfe3255931235a19226a03114"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = 0</td></tr>
<tr class="separator:af488cd3bfe3255931235a19226a03114"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fe9bda9c820a79fcdf5a9d2ad38aa1b"><td class="memItemLeft" align="right" valign="top"><a id="a5fe9bda9c820a79fcdf5a9d2ad38aa1b"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = 0</td></tr>
<tr class="separator:a5fe9bda9c820a79fcdf5a9d2ad38aa1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="colormaps_8h_source.html">colormaps.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
